/*
 * main.c
 * original code: SASANO Takayoshi
 *
 * --- public domain, no warranty.
 */

#include <basic.h>
#include <errcode.h>
#include "pcmdata.c"

typedef	unsigned long long	U64;

IMPORT	void	pcm_playu8(U64 cpuclk, W rate, UB *data, W len);

EXPORT	main(W argc, TC *argv[])
{
	U64	cpuclk;
	W	rate;

	/* CPU clock(Hz) $B"(%^%7%s$K9g$o$;$k(B */
	cpuclk = 2790745372ULL;

	/* PCM$B%G!<%?$N%5%s%W%j%s%0%l!<%H(B */
	rate = 11025;

	pcm_playu8(cpuclk, rate, pcmdata, sizeof(pcmdata));

	return ER_OK;
}
